Subject: Re: bug#22077: Possible bug in `reftex-what-index-tag'

From: Arash Esbati <[email-masked]>
Date: Fri, 04 Dec 2015 22:54:19 +0100

Tassilo Horn <[email-masked]> writes:

> Mosè Giordano <[email-masked]> writes:
>
>>> I think it should be `(match-end 0)' since the last search had no
>>> parenthesized expression in regexp.  In short:
>>>
>>> --8<---------------cut here---------------start------------->8---
>>> diff --git a/lisp/textmodes/reftex-auc.el b/lisp/textmodes/reftex-auc.el
>>> index bbad065..151be59 100644
>>> --- a/lisp/textmodes/reftex-auc.el
>>> +++ b/lisp/textmodes/reftex-auc.el
>>> @@ -137,7 +137,7 @@ reftex-what-index-tag
>>>         ((stringp tag) tag)
>>>         ((integerp tag)
>>>          (save-excursion
>>> -          (goto-char (match-end 1))
>>> +          (goto-char (match-end 0))
>>>            (or (reftex-nth-arg tag (nth 6 entry)) "idx")))
>>>         (t "idx")))))
>>> --8<---------------cut here---------------end--------------->8---
>>>
>>> Any comments?  I could make a proper patch for this.
>>
>> Yes, you're right, `goto-char' is called with nil argument.  And yes,
>> a proper patch would be useful, even if it's a one-liner change.

Mosè, many thanks for double-checking and the thumbs up.

> I've just committed this trivial patch under Arash's name.

Tassilo, many thanks for applying the one-liner.  I was about to prepare
a patch.

>> BTW, you signed the copyright paper only for AUCTeX, should you want
>> to provide more substantial contributions for RefTeX you have to sign
>> the copyright paper for Emacs as well.
>
> Yes, that would be good anyway.

Actually, I'm trying hard to avoid RefTeX realms ;-) (The code is not
easy to understand)  I will sign the copyright paper for Emacs as well.

Thanks, Arash